build:
  stage: build
  image:
    name: antora/antora:latest
  script:
  # 'indexify' is broken with Gitlab Review Apps. Use 'default' for merge requests only until it's fixed.
  # https://gitlab.com/gitlab-org/gitlab/-/issues/16907
  - antora --log-failure-level fatal --html-url-extension-style=default site.yml
  artifacts:
    paths:
    - public/
    expire_in: 1 week
    expose_as: 'docs preview'
  rules:
  - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
  environment:
    name: preview MR_${CI_MERGE_REQUEST_IID}
    url: https://${CI_SERVER_HOST}/${CI_PROJECT_PATH}/-/jobs/${CI_JOB_ID}/artifacts/file/public/index.html
    auto_stop_in: 1 week
pages:
  stage: build
  image:
    name: antora/antora:latest
  script:
  - antora site.yml
  artifacts:
    paths:
    - public
  rules:
  - if: $CI_COMMIT_BRANCH == "main" && $CI_PROJECT_ROOT_NAMESPACE == "fedora"

